TechDraw CosmeticVertex: Difference between revisions

From FreeCAD Documentation
No edit summary
m (Added {{Button}} templates)
(7 intermediate revisions by 3 users not shown)
Line 3: Line 3:
<!--T:16-->
<!--T:16-->
{{Docnav
{{Docnav
|[[TechDraw_RichTextAnnotation|Insert Rich Text Annotation]]
|[[TechDraw_RichTextBlock|RichTextBlock]]
|[[TechDraw_Midpoints|Midpoints]]
|[[TechDraw_Midpoints|Add Midpoint Vertices]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw-textleader.svg
|IconL=TechDraw_RichTextAnnotation.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw-midpoint.svg
|IconR=TechDraw_Midpoints.svg
}}
}}


Line 14: Line 14:
{{GuiCommand
{{GuiCommand
|Name=TechDraw CosmeticVertex
|Name=TechDraw CosmeticVertex
|Icon=techdraw-point.svg
|MenuLocation=TechDraw → Add Vertices → Add Cosmetic Vertex
|MenuLocation=TechDraw → Add Vertices → Add Cosmetic Vertex
|Workbenches=[[TechDraw Module|TechDraw]]
|Workbenches=[[TechDraw Module|TechDraw]]
|SeeAlso=[[TechDraw Midpoints]], [[TechDraw Quadrant]]
|SeeAlso=[[TechDraw_Midpoints|Add Midpoint Vertices]], [[TechDraw_Quadrants|Add Quadrant Vertices]]
|Version=0.19
|Version=0.19
}}
}}
Line 24: Line 23:


<!--T:8-->
<!--T:8-->
The Cosmetic Vertex tool adds a Vertex, which is not part of the source geometry, to a View. This Vertex behaves like any other vertex and can be used for Dimensioning.
The Cosmetic Vertex tool adds a Vertex, which is not part of the source geometry, to a View. This Vertex behaves like any other vertex and can be used for dimensioning.


</translate>
</translate>
Line 32: Line 31:
{{Caption|Cosmetic Vertex used to create an otherwise impossible Dimension}}
{{Caption|Cosmetic Vertex used to create an otherwise impossible Dimension}}


==How to use== <!--T:3-->
==Usage== <!--T:3-->


<!--T:10-->
<!--T:10-->
# Press the {{Button|[[Image:techdraw-mline.svg|16px]] [[TechDraw CosmeticVertex|CosmeticVertex]]}} button
# Press the {{Button|[[Image:TechDraw_CosmeticVertex.svg|16px]] [[TechDraw_CosmeticVertex|Add Cosmetic Vertex]]}} button
# A Task dialog will open. The dialog allows selection of the location of the Cosmetic Vertex though the use of a "point picker" or by entering coordinates. The coordinates are the position within the View relative to the View center.
# A Task dialog will open. The dialog allows selection of the location of the Cosmetic Vertex though the use of a "point picker" or by entering coordinates. The coordinates are the position within the View relative to the View center.
# The Pick points button starts a "point picker". Once a location is selected a small circle will appear. The Cosmetic Vertex will be added once the "OK" button is pressed.
# The {{Button|Pick points}} button starts a "point picker". Once a location is selected a small circle will appear. The Cosmetic Vertex will be added once the {{Button|OK}} button is pressed.
# To exit the "point picker" without creating a Cosmetic Vertex, press the "Escape picking" button in the dialog.
# To exit the "point picker" without creating a Cosmetic Vertex, press the {{Button|Escape picking}} button in the dialog.



==Properties== <!--T:19-->
==Properties== <!--T:19-->
Line 73: Line 71:
<!--T:17-->
<!--T:17-->
{{Docnav
{{Docnav
|[[TechDraw_RichTextAnnotation|Insert Rich Text Annotation]]
|[[TechDraw_RichTextBlock|RichTextBlock]]
|[[TechDraw_Midpoints|Midpoints]]
|[[TechDraw_Midpoints|Add Midpoint Vertices]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw-textleader.svg
|IconL=TechDraw_RichTextAnnotation.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw-midpoint.svg
|IconR=TechDraw_Midpoints.svg
}}
}}



Revision as of 22:55, 4 February 2020

TechDraw CosmeticVertex

Menu location
TechDraw → Add Vertices → Add Cosmetic Vertex
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
Add Midpoint Vertices, Add Quadrant Vertices

Description

The Cosmetic Vertex tool adds a Vertex, which is not part of the source geometry, to a View. This Vertex behaves like any other vertex and can be used for dimensioning.

Cosmetic Vertex used to create an otherwise impossible Dimension

Usage

  1. Press the Add Cosmetic Vertex button
  2. A Task dialog will open. The dialog allows selection of the location of the Cosmetic Vertex though the use of a "point picker" or by entering coordinates. The coordinates are the position within the View relative to the View center.
  3. The Pick points button starts a "point picker". Once a location is selected a small circle will appear. The Cosmetic Vertex will be added once the OK button is pressed.
  4. To exit the "point picker" without creating a Cosmetic Vertex, press the Escape picking button in the dialog.

Properties

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

Cosmetic Vertices are available to macros or the Python console.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)